
package com.adakoda.android.graphanimationsample;

import android.animation.TypeEvaluator;

// Project Target Android 3.0 (API Level 11)
public class IntArrayEvaluator implements TypeEvaluator {

    @Override
    public int[] evaluate(float fraction, Object startValueObject, Object endValueObject) {
        int[] startValue = (int[]) startValueObject;
        int[] endValue = (int[]) endValueObject;

        int[] intArray = new int[startValue.length];
        for (int i = 0; i < intArray.length; i++) {
            intArray[i] = (int) (startValue[i] + fraction *
                    (endValue[i] - startValue[i]));
        }
        return intArray;
    }

}

// Project Target Android 4.0 (API Level 14) の場合は、以下のような書き方もできる
/*
public class IntArrayEvaluator implements TypeEvaluator<int[]> {

    @Override
    public int[] evaluate(float fraction, int[] startValue, int[] endValue) {
        int[] intArray = new int[startValue.length];
        for (int i = 0; i < intArray.length; i++) {
            intArray[i] = (int) (startValue[i] + fraction *
                    (endValue[i] - startValue[i]));
        }
        return intArray;
    }

}
*/
